<?php
/*
 * formmailer.php -- Version 17-Jan-2005
 *
 * A very basic script that collects input from a html form, sends its
 * contents via email to a given address and redirects the user to a
 * confirmation/thank you/success page.
 *
 * Copyright (c) 2005 Jochen Kupperschmidt <webmaster@homework.nwsnet.de>
 * Released under the terms of the GNU General Public License
 *   _                               _
 *  | |_ ___ _____ ___ _ _ _ ___ ___| |_
 *  |   | . |     | ._| | | | . |  _| . /
 *  |_|_|___|_|_|_|___|_____|___|_| |_|_\
 *    http://homework.nwsnet.de/
 */

// make sure this script was called via POST method, not GET
if ('POST' != $_SERVER['REQUEST_METHOD']) {
    exit('Not a POST request.');
}

// make your changes here
$sender    = 'formmailer@example.com';
$recipient = 'you@example.com';
$subject   = 'Submitted form contents from your website';
$body      = "Input from submitted form:\n\n";
$redirect  = 'formsent.html';

// loop through form input
foreach ($_POST as $key => $value) {
    $body .= $key . ' = ' . $value . "\n";
}

// additional (client) information
$body .= "\n\nAdditional (client) information:\n\n"
    . 'Date = ' . date('Y-m-d H:i') . "\n"
    . 'Browser = ' . HTTP_USER_AGENT . "\n"
    . 'IP Address = ' . $_SERVER['REMOTE_ADDR'] . "\n"
    . 'Hostname = ' . gethostbyaddr($_SERVER['REMOTE_ADDR']) . "\n";

// send email
mail($recipient, $subject, $body, 'From: ' . $sender);

// redirect to confirmation page
header('Location: ' . $redirect);
?>